%define rel 7
%define release %mkrel 23.%{rel}
%define major 2
%define libname %mklibname drm-psb %{major}
%define develname %mklibname drm-psb -d
%define staticdevelname %mklibname drm-psb -d -s

%define extra_module_dir        %{_libdir}/xorg/extra-modules
%define xorg1_6_extra_modules	%{_libdir}/xorg/xorg-1.6-extra-modules
%define priority 500

%define _enable_libtoolize 1
%define _provides_exceptions libdrm.so.2

Summary:	Userspace interface to kernel DRM services
Name:		libdrm-psb
Version:	2.3.0
Release:	%{release}
Group:		Development/X11
License:	MIT/X11
URL:		http://xorg.freedesktop.org
Source0:	libdrm_%{version}-23.tar.gz
# (fc) do not change permission if not requested
# (blino) rediff for ttm/psb branch
Patch0:		libdrm-psb-2.3.0-perm.patch
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: dkms-psb
BuildRoot:	%{_tmppath}/%{name}-root

%description
Userspace interface to kernel DRM services

%package -n	%{libname}
Summary:	Userspace interface to kernel DRM services
Group:		Development/X11
Provides:	%{name} = %{version}
Conflicts: x11-server-common < 1.6.0-11
Requires(post): update-alternatives >= 1.9.0
Requires(postun): update-alternatives >= 1.9.0

%description -n	%{libname}
Userspace interface to kernel DRM services

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{name} >= %{version}
Requires:	%{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{mklibname drm 2 -d}

%description -n	%{develname}
Development files for %{name}

%package -n	%{staticdevelname}
Summary:	Static development files for %{name}
Group:		Development/X11
Requires:	%{name}-devel >= %{version}
Requires:	%{libname} = %{version}
Provides:       %{name}-static-devel = %{version}-%{release}
Obsoletes:      %{mklibname drm 2 -d -s}

%description -n	%{staticdevelname}
Static development files for %{name}

%prep

%setup -q -n libdrm
%patch0 -p1 -b .perm
autoreconf

%build
%configure2_5x \
    --x-includes=%{_includedir} \
    --x-libraries=%{_libdir} \
    --enable-static

%make

%install
rm -rf %{buildroot}

%makeinstall_std 

# move to custom libdrm-psb subdirs
mkdir -p %{buildroot}%{_libdir}/%{name}
mv %{buildroot}%{_libdir}/*.{so*,la,a} %{buildroot}%{_libdir}/%{name}

mkdir -p %{buildroot}%{_includedir}/%{name}
mv %{buildroot}%{_includedir}/drm %{buildroot}%{_includedir}/*.h %{buildroot}%{_includedir}/%{name}

mv %{buildroot}%{_libdir}/pkgconfig/libdrm.pc %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

# fix libdir in pkgconfig and la files
perl -pi -e 's,%{_libdir},%{_libdir}/%{name},' \
  %{buildroot}%{_libdir}/pkgconfig/%{name}.pc \
  %{buildroot}%{_libdir}/%{name}/libdrm.la

# install some headers from the kernel part, required to build the xorg driver
cp /usr/src/psb-*/psb_{drm,reg}.h %{buildroot}%{_includedir}/%{name}/drm/

# prefer libdrm-psb to standard libdrm, and abuse GL alternatives to do that
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d/GL
cat > %{buildroot}%{_sysconfdir}/ld.so.conf.d/GL/%{name}.conf <<EOF
%{_libdir}/%{name}
EOF

%post -n %{libname}
%{_sbindir}/update-alternatives --install \
	%{_sysconfdir}/ld.so.conf.d/GL.conf gl_conf %{_sysconfdir}/ld.so.conf.d/GL/%{name}.conf %{priority} \
	--slave %{extra_module_dir} xorg_extra_modules %{xorg1_6_extra_modules}
# Call /sbin/ldconfig explicitely due to alternatives
/sbin/ldconfig

%postun -n %{libname}
if [ ! -f %{_sysconfdir}/ld.so.conf.d/GL/%{name}.conf ]; then
   %{_sbindir}/update-alternatives --remove gl_conf %{_sysconfdir}/ld.so.conf.d/GL/%{name}.conf
fi
# Call /sbin/ldconfig explicitely due to alternatives
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/%{name}/*.so.*
%{_sysconfdir}/ld.so.conf.d/GL/%{name}.conf

%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/%{name}/drm
%{_includedir}/%{name}/drm/*.h
%{_includedir}/%{name}/*.h
%{_libdir}/%{name}/*.la
%{_libdir}/%{name}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n %{staticdevelname}
%defattr(-,root,root)
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.a


%changelog
* Fri Feb 11 2011 ahmad <ahmad> 2.3.0-23.7.mga1
+ Revision: 50520
- drop old/unneeded scriptlets
- imported package libdrm-psb


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 2.3.0-23.6mdv2011.0
+ Revision: 609739
- rebuild

* Wed May 19 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.3.0-23.5mdv2010.1
+ Revision: 545395
- don't provide libdrm.so.2

* Mon Apr 26 2010 Olivier Blin <oblin@mandriva.com> 2.3.0-23.4mdv2010.1
+ Revision: 538981
- fix libdir in pkgconfig and la files

* Fri Oct 09 2009 Olivier Blin <oblin@mandriva.com> 2.3.0-23.3mdv2010.0
+ Revision: 456349
- require update-alternatives for post/postun scriptlets

* Sun May 31 2009 Olivier Blin <oblin@mandriva.com> 2.3.0-23.2mdv2010.0
+ Revision: 381598
- install some headers from the kernel part, required to build the xorg driver
- add proper conflicts with x11-server-common for libdri.so
- properly handle xorg alternatives for 2009.1 and newer
- fix postun not to remove alternatives unconditionnally

* Sun May 31 2009 Olivier Blin <oblin@mandriva.com> 2.3.0-23mdv2010.0
+ Revision: 381561
- libtoolize
- 2.3.0-23 (Intel-GMA500-5.0.0.0040 from Intel Kit17376)
- drop ttm patches (merged in Intel tarball)
- really enable perm patch
- rediff perm patch for ttm/psb branch
- run autoreconf
- rename libraries to drm-psb
- install in libdrm-psb sub-directories
- add GL alternatives to select libdrm-psb
- add ttm support (from moblin psb package)
- rename as libdrm-psb
- rename specfile to libdrm-psb
- create libdrm-psb from libdrm 2.3.0

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.3.0-8mdv2009.0
+ Revision: 222535
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Mon Jan 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.3.0-7mdv2008.1
+ Revision: 151897
- Update BuildRequires and rebuild.
  Also disable patch1 as it is being used just to "document" functions called
  from the X Server.

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 2.3.0-6mdv2008.1
+ Revision: 150691
- BuildRequires x11-proto-devel for X11/Xfuncproto.h
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Initial listing of symbols required by the ati driver. This is for now a noop
      patch as libraries at first will have all symbols visible.

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 2.3.0-4mdv2008.0
+ Revision: 76972
- cleanup borked deps

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 2.3.0-3mdv2008.0
+ Revision: 76831
- new devel name

